PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List channels GETCreate a channel POSTGet a channel GETUpdate a channel PATCHList channel messages GETCreate a message POSTUpdate a message PATCHDelete a message DELETE
Chats

Create a channel

POST
/channels

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/channels" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "workspaceId": "string",    "categoryId": "string",    "name": "string",    "slug": "string",    "description": "string",    "type": "string",    "visibility": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

List channels GET

Previous Page

Get a channel GET

Next Page

name?string
description?string
categoryId?string